<div id="setting-detail-emai">
  <LoadingComponent class="absolute" v-show="loadingFullPage" />
  <div v-show="!loadingFullPage" class="md:p-6 p-3" id="hideBottomInput">
    <div class="flex items-center">
      <p class="mb-0 font-medium leading-24 text-gray-500">Settings</p>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <nuxt-link to="/admin/settings/abandon">
        <p class="mb-0 font-medium leading-24 text-gray-500">Abandon</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p
        v-if="email.time == 1"
        class="mb-0 font-medium leading-24 text-black capitalize"
      >
        First Email
      </p>
      <p
        v-if="email.time == 2"
        class="mb-0 font-medium leading-24 text-black capitalize"
      >
        Second Email
      </p>
      <p
        v-if="email.time == 3"
        class="mb-0 font-medium leading-24 text-black capitalize"
      >
        Third Email
      </p>
    </div>
    <div class="mt-3 flex justify-between">
      <div class="flex justify-between items-center">
        <nuxt-link v-if="isNotChangeMail" to="/admin/settings/abandon">
          <div class="flex items-center gap-4">
            <v-icon color="#111827"> mdi-arrow-left </v-icon>
            <p
              v-if="email.time == 1"
              class="mb-0 text-lg text-neutral-900 font-semibold capitalize"
            >
              First Email
            </p>
            <p
              v-if="email.time == 2"
              class="mb-0 text-lg text-neutral-900 font-semibold capitalize"
            >
              Second Email
            </p>
            <p
              v-if="email.time == 3"
              class="mb-0 text-lg text-neutral-900 font-semibold capitalize"
            >
              Third Email
            </p>
          </div>
        </nuxt-link>
        <button @click="openDialogDiscardChange()" v-else>
          <div class="flex items-center gap-4">
            <v-icon color="#111827"> mdi-arrow-left </v-icon>
            <p
              v-if="email.time == 1"
              class="mb-0 text-lg text-neutral-900 font-semibold capitalize"
            >
              First Email
            </p>
            <p
              v-if="email.time == 2"
              class="mb-0 text-lg text-neutral-900 font-semibold capitalize"
            >
              Second Email
            </p>
            <p
              v-if="email.time == 3"
              class="mb-0 text-lg text-neutral-900 font-semibold capitalize"
            >
              Third Email
            </p>
          </div>
        </button>
      </div>
      <v-btn
        @click="saveChanges()"
        color="#3B82F6"
        class="!shadow-none elevation-0"
        height="44"
      >
        <div class="flex items-center">
          <v-icon color="#fff"> mdi-content-save </v-icon>
          <p class="mb-0 ml-2 text-white font-semibold text-sm capitalize">
            Save Changes
          </p>
        </div>
      </v-btn>
    </div>

    <div class="grid grid-cols-12 gap-6 mt-4">
      <div class="md:col-span-8 col-span-12">
        <div class="">
          <v-tabs v-model="tab" background-color="transparent" color="#076CE3">
            <v-tab>
              <p class="mb-0 text-none fsize-14 !font-semibold">
                Edit Template
              </p>
            </v-tab>
            <v-tab>
              <p class="mb-0 text-none fsize-14 !font-semibold">
                Preview Email
              </p>
            </v-tab>
          </v-tabs>
          <v-divider></v-divider>
          <v-tabs-items v-model="tab" class="!bg-transparent !ml-0" touchless>
            <v-tab-item class="!bg-transparent">
              <div class="bg-transparent">
                <div
                  class="mt-2 bg-white border border-solid border-gray-200 rounded-lg p-4"
                >
                  <div>
                    <p class="mb-0 text-neutral-900 font-semibold">
                      Email Subject
                    </p>
                    <div class="mt-2">
                      <v-text-field
                        dense
                        outlined
                        v-model="email.emailSubject"
                        placeholder="Enter your order name"
                      >
                      </v-text-field>
                    </div>
                  </div>
                  <div class="mt-4">
                    <p class="mb-0 text-neutral-900 font-semibold">
                      Email Body
                    </p>
                    <div class="mt-2">
                      <v-textarea
                        v-model="email.emailTemplate"
                        dense
                        outlined
                        rows="30"
                      >
                      </v-textarea>
                    </div>
                  </div>
                </div>
              </div>
            </v-tab-item>
            <v-tab-item class="!bg-transparent">
              <div class="bg-transparent">
                <div
                  class="mt-2 bg-white border border-solid border-gray-200 rounded-lg p-4"
                >
                  <p
                    class="mb-0 text-neutral-900 font-semibold"
                    v-if="slug === 'order confirm'"
                  >
                    Subject: Order Confirmation #0123
                  </p>
                  <div class="mt-4 flex justify-center">
                    <div
                      class="mb-0 text-xl text-neutral-900 font-semibold"
                      v-html="email.emailTemplate"
                    ></div>
                  </div>
                </div>
              </div>
            </v-tab-item>
          </v-tabs-items>
        </div>
      </div>
      <div class="md:col-span-4 col-span-12 gap-4 flex flex-col">
        <div class="bg-white rounded-lg border border-[#E5E7EB] p-4">
          <h4 class="font-semibold text-sm leading-5 text-[#1F2937]">
            Discount
          </h4>
          <p class="text-xs font-normal leading-4 text-[#6B7280]">
            Discount will be display in this email.
          </p>
          <div
            class="mt-4 bg-[#F5F7F9] rounded-md p-2 flex justify-between items-center"
          >
            <p class="text-[#1F2937] font-semibold text-sm leading-5 mb-0">
              {{couponCode}} {{email.discount}}%
            </p>

            <button
              @click="editEmailDialog = !editEmailDialog"
              class="text-[#3F83F8] leading-5 text-xs font-semibold px-2 py-1"
            >
              Edit
            </button>
          </div>
        </div>
        <div class="bg-white rounded-lg border border-[#E5E7EB] p-4">
          <h4 class="font-semibold text-sm leading-5 text-[#1F2937]">
            Interval Time
          </h4>
          <p class="text-xs font-normal leading-4 text-[#6B7280]">
            Email will be sent after an amount of time since the abandoned
            checkout.
          </p>

          <div class="mt-2">
            <div class="flex gap-2 items-center justify-between">
              <v-select
                dense
                outlined
                class="rounded-lg"
                append-icon="mdi-chevron-down"
                :menu-props="{ bottom: true, offsetY: true }"
                :items="listTime"
                v-model="email.timestamp"
                @change="checkChangeMailTimeStamp"
                item-text="name"
                item-value="value"
                height="32px"
                hide-details
                style="width: 100%; font-size: 14px !important"
              >
                <template v-slot:item="status">
                  <template>
                    <v-list-item-content class="py-0">
                      <div class="p-2 text-sm">{{status.item.name}}</div>
                    </v-list-item-content>
                  </template>
                </template>
              </v-select>
            </div>
          </div>
        </div>
        <div class="bg-white rounded-lg border border-[#E5E7EB] p-4">
          <h4 class="font-semibold text-sm leading-5 text-[#1F2937]">
            Test email
          </h4>
          <p class="text-xs font-normal leading-4 text-[#6B7280]">
            Send an test email to input email address below
          </p>

          <div class="mt-2">
            <div class="flex gap-2 items-center justify-between">
              <v-text-field
                dense
                outlined
                placeholder="Enter email"
                v-model="emailSend"
              ></v-text-field>

              <v-btn
                color="#3B82F6"
                outlined
                class="!shadow-none"
                height="40"
                @click="onSendMain()"
                width="113"
                :disabled="loadingBtn"
              >
                <v-progress-circular
                  v-if="loadingBtn"
                  size="18"
                  indeterminate
                  color="#3B82F6"
                >
                </v-progress-circular>

                <p
                  v-else
                  class="mb-0 text-blue-500 font-semibold text-sm capitalize"
                >
                  Send Test
                </p>
              </v-btn>
            </div>
          </div>
        </div>
        <div class="bg-white rounded-lg border border-[#E5E7EB] p-4">
          <h4 class="font-semibold text-sm leading-5 text-[#1F2937]">
            Email variables
          </h4>
          <p class="text-xs font-normal leading-4 text-[#6B7280]">
            Using variables for email
          </p>

          <textarea
            placeholder="Enter email"
            v-model="order.variantCustom"
            class="h-40 resize-none w-full rounded-md p-2 text-xs font-normal leading-6"
            style="border: 1px solid #e5e7eb"
            disabled
          ></textarea>
        </div>
      </div>
    </div>
  </div>
  <v-row justify="center">
    <v-dialog v-model="editEmailDialog" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div
          class="d-flex align-center justify-space-between p-4 !border-b !border-[#E5E7EB]"
        >
          <p class="mb-0 fsize-18 lightContentPrimary">
            Email Discount Settings
          </p>
          <v-btn color="#949494" @click="editEmailDialog = false" icon small>
            <v-icon color="#111827" size="28"> mdi-close </v-icon>
          </v-btn>
        </div>

        <div class="p-4 !border-b !border-[#E5E7EB] flex flex-col gap-4">
          <div>
            <p class="text-sm font-semibold leading-5 text-[#1F2937]">
              Discount Code
            </p>

            <v-text-field
              v-model="couponCode"
              dense
              outlined
              placeholder="Enter Code here"
              id="support-email"
              style="border: 1px solid #e5e7eb"
            >
            </v-text-field>
          </div>
          <div class="flex flex-col gap-2">
            <p class="text-sm font-semibold leading-5 text-[#1F2937]">
              Type of Discount:
            </p>
            <v-radio-group v-model="discountType" class="mt-0">
              <v-radio
                v-for="(n,idx) in typeDiscountList"
                :key="n + idx"
                :label="`${n.name}`"
                :value="n.id"
              ></v-radio>
            </v-radio-group>
          </div>
          <div>
            <p class="text-sm font-semibold leading-5 text-[#1F2937]">
              Discount Value
            </p>
            <!-- <div
              class="flex px-4 gap-[6px] h-11 items-center bg-white border !border-gray-300 text-gray-900 text-sm rounded-[4px] focus-within::!ring-blue-500 focus-within:!border-blue-500 w-full"
            >
              <input
                type="text"
                class="py-1 border-0 focus:border-0 w-full h-full text-sm leading-5 text-[#1F2937]"
                placeholder="Enter a number here"
                style="outline: none"
                v-model="email.discount"
              />

              <p
                class="text-sm leading-5 text-[#1F2937]"
                style="text-wrap: nowrap"
              >
                Percent %
              </p>
            </div> -->
            <v-select
              dense
              outlined
              class="rounded-lg"
              append-icon="mdi-chevron-down"
              :menu-props="{ bottom: true, offsetY: true }"
              :items="listValue"
              v-model="email.discount"
              @change="checkChangeMailTimeStamp"
              item-text="name"
              item-value="value"
              height="32px"
              hide-details
              style="width: 100%; font-size: 14px !important"
            >
              <template v-slot:item="status">
                <template>
                  <v-list-item-content class="py-0">
                    <div class="p-2 text-sm">{{status.item.name}}</div>
                  </v-list-item-content>
                </template>
              </template>
            </v-select>
          </div>
        </div>

        <div class="d-flex align-center justify-end gap-4 p-4">
          <v-btn
            @click="saveCloseDialog()"
            color="#3B82F6"
            class="!capitalize elevation-0"
          >
            <span class="text-white text-sm font-semibold"> Choose </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
  <v-row justify="center">
    <v-dialog v-model="dialogDiscardChange" max-width="360">
      <v-card id="hideBottomInput" class="pa-0">
        <div
          class="d-flex align-center justify-space-between p-4 !border-b !border-[#E5E7EB]"
        >
          <p class="mb-0 fsize-18 lightContentPrimary">Discard changes</p>
          <v-btn
            color="#949494"
            @click="dialogDiscardChange = false"
            icon
            small
          >
            <v-icon color="#111827" size="28"> mdi-close </v-icon>
          </v-btn>
        </div>

        <div class="p-4 !border-b !border-[#E5E7EB] flex flex-col gap-4">
          <p class="text-sm leading-5 font-normal text-[#1F2937]">
            All you changes have made will not be applied. Are you sure to
            continue?
          </p>
        </div>

        <div class="d-flex align-center justify-end gap-4 p-4">
          <v-btn
            outlined
            text
            @click="dialogDiscardChange = false"
            class="!capitalize elevation-0 text-[#111827] font-semibold text-sm"
          >
            Stay
          </v-btn>
          <v-btn
            color="#F05252"
            outlined
            class="!capitalize elevation-0 !bg-[#FDECEC]"
            @click="discardChange()"
          >
            <span class="text-[#F05252] text-sm font-semibold">
              Discard Change
            </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
